"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.testDefinitionBroken = exports.testDefinition = exports.resourcePath = void 0;
const path = require("path");
const fs = require("fs");
const YAML = require("js-yaml");
const resourcePath = (...subpath) => {
    return path.join(__dirname, '..', '__tests__', 'resources', ...subpath);
};
exports.resourcePath = resourcePath;
exports.testDefinition = YAML.safeLoad(fs.readFileSync(exports.resourcePath('openapi.yml')));
exports.testDefinitionBroken = YAML.safeLoad(fs.readFileSync(exports.resourcePath('openapi-broken.yml')));
